/*
	SCCS id:	@(#) fb_hard.c	1.13
	Last edit: 	2/3/86 at 13:00:11	G S M
	Retrieved: 	6/12/86 at 10:52:27
	SCCS archive:	/vld/src/libfb/s.fb_hard.c

	Authors:	Mike J. Muuss
			Douglas P. Kingston III
			Gary S. Moss
			U. S. Army Ballistic Research Laboratory
			Aberdeen Proving Ground
			Maryland 21005-5066
*/
#if ! defined( lint )
static
char	sccsTag[] = "@(#) fb_hard.c	1.13	last edit 2/3/86 at 13:00:11";
#endif
#include <fb.h>

extern	int	_fbtype;

fbcursor(mode, x, y)
int	mode, x, y;
	{
	switch( _fbtype )
		{
	case FB_IKONAS :
		return	_ikcursor( mode, x, y );
	case FB_RASTER_TECH :
		return	_rat_cursor( mode, x, y );
	case FB_FILE : /* Not sure if this should be an error or not.	*/
	case FB_PTTY : /* Let's just return, success for generality.	*/
		return	0;
	default:
		return	-1;
		}
	}

fbscursor (mode, x, y)
int	mode, x, y;
	{
	switch( _fbtype )
		{
	case FB_IKONAS :
		return	_ikscursor( mode, x, y );
	case FB_RASTER_TECH :
		return	_rat_cursor( mode, x, y );
	case FB_FILE : /* Not sure if this should be an error or not.	*/
	case FB_PTTY : /* Let's just return, success for generality.	*/
		return	0;
	default:
		return	-1;
		}
	}

fbsetcursor (bitmap)
long	*bitmap;
	{
	switch( _fbtype )
		{
	case FB_IKONAS :
		return	_iksetcursor( bitmap );
	case FB_RASTER_TECH :
		return	_rat_set_cursor();
	case FB_FILE : /* Not sure if this should be an error or not.	*/
	case FB_PTTY : /* Let's just return, success for generality.	*/
		return	0;
	default:
		return	-1;
		}
	}

fbwindow (x, y)
int	x, y;
	{
	switch( _fbtype )
		{
	case FB_IKONAS :
		return	_ikwindow( x, y );
	case FB_RASTER_TECH :
		return	_rat_window( x, y );
	case FB_FILE : /* Not sure if this should be an error or not.	*/
	case FB_PTTY : /* Let's just return, success for generality.	*/
		return	0;
	default:
		return	-1;
		}
	}

fbzoom( x, y )
int	x, y;
	{
	switch( _fbtype )
		{
	case FB_IKONAS :
		return	_ikzoom( x, y );
	case FB_RASTER_TECH :
		return	_rat_zoom( x, y );
	case FB_FILE : /* Not sure if this should be an error or not.	*/
	case FB_PTTY : /* Let's just return, success for generality.	*/
		return	0;
	default:
		return	-1;
		}
	}
